<?php
$tdatastatistics_region = array();
$tdatastatistics_region[".searchableFields"] = array();
$tdatastatistics_region[".ShortName"] = "statistics_region";
$tdatastatistics_region[".OwnerID"] = "";
$tdatastatistics_region[".OriginalTable"] = "statistics_region";


$tdatastatistics_region[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics_region[".originalPagesByType"] = $tdatastatistics_region[".pagesByType"];
$tdatastatistics_region[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_region[".originalPages"] = $tdatastatistics_region[".pages"];
$tdatastatistics_region[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics_region[".originalDefaultPages"] = $tdatastatistics_region[".defaultPages"];

//	field labels
$fieldLabelsstatistics_region = array();
$fieldToolTipsstatistics_region = array();
$pageTitlesstatistics_region = array();
$placeHoldersstatistics_region = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_region["English"] = array();
	$fieldToolTipsstatistics_region["English"] = array();
	$placeHoldersstatistics_region["English"] = array();
	$pageTitlesstatistics_region["English"] = array();
	$fieldLabelsstatistics_region["English"]["name"] = "المنطقة";
	$fieldToolTipsstatistics_region["English"]["name"] = "";
	$placeHoldersstatistics_region["English"]["name"] = "";
	$fieldLabelsstatistics_region["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_region["English"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_region["English"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_region["English"]["total"] = "المجموع";
	$fieldToolTipsstatistics_region["English"]["total"] = "";
	$placeHoldersstatistics_region["English"]["total"] = "";
	$fieldLabelsstatistics_region["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_region["English"]["percentage"] = "";
	$placeHoldersstatistics_region["English"]["percentage"] = "";
	$fieldLabelsstatistics_region["English"]["ma3"] = "مع";
	$fieldToolTipsstatistics_region["English"]["ma3"] = "";
	$placeHoldersstatistics_region["English"]["ma3"] = "";
	$fieldLabelsstatistics_region["English"]["dod"] = "ضد";
	$fieldToolTipsstatistics_region["English"]["dod"] = "";
	$placeHoldersstatistics_region["English"]["dod"] = "";
	$fieldLabelsstatistics_region["English"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_region["English"]["tachkil"] = "";
	$placeHoldersstatistics_region["English"]["tachkil"] = "";
	$fieldLabelsstatistics_region["English"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_region["English"]["majhoul"] = "";
	$placeHoldersstatistics_region["English"]["majhoul"] = "";
	$pageTitlesstatistics_region["English"]["list"] = "جدول حسب المنطقة";
	$pageTitlesstatistics_region["English"]["print"] = "جدول حسب المنطقة";
	$pageTitlesstatistics_region["English"]["search"] = "جدول حسب المنطقة - Advanced search";
	if (count($fieldToolTipsstatistics_region["English"]))
		$tdatastatistics_region[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_region["Arabic"] = array();
	$fieldToolTipsstatistics_region["Arabic"] = array();
	$placeHoldersstatistics_region["Arabic"] = array();
	$pageTitlesstatistics_region["Arabic"] = array();
	$fieldLabelsstatistics_region["Arabic"]["name"] = "المنطقة";
	$fieldToolTipsstatistics_region["Arabic"]["name"] = "";
	$placeHoldersstatistics_region["Arabic"]["name"] = "";
	$fieldLabelsstatistics_region["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_region["Arabic"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_region["Arabic"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_region["Arabic"]["total"] = "المجموع";
	$fieldToolTipsstatistics_region["Arabic"]["total"] = "";
	$placeHoldersstatistics_region["Arabic"]["total"] = "";
	$fieldLabelsstatistics_region["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_region["Arabic"]["percentage"] = "";
	$placeHoldersstatistics_region["Arabic"]["percentage"] = "";
	$fieldLabelsstatistics_region["Arabic"]["ma3"] = "مع";
	$fieldToolTipsstatistics_region["Arabic"]["ma3"] = "";
	$placeHoldersstatistics_region["Arabic"]["ma3"] = "";
	$fieldLabelsstatistics_region["Arabic"]["dod"] = "ضد";
	$fieldToolTipsstatistics_region["Arabic"]["dod"] = "";
	$placeHoldersstatistics_region["Arabic"]["dod"] = "";
	$fieldLabelsstatistics_region["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_region["Arabic"]["tachkil"] = "";
	$placeHoldersstatistics_region["Arabic"]["tachkil"] = "";
	$fieldLabelsstatistics_region["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_region["Arabic"]["majhoul"] = "";
	$placeHoldersstatistics_region["Arabic"]["majhoul"] = "";
	$pageTitlesstatistics_region["Arabic"]["list"] = "جدول حسب المنطقة";
	$pageTitlesstatistics_region["Arabic"]["print"] = "جدول حسب المنطقة";
	$pageTitlesstatistics_region["Arabic"]["search"] = "جدول حسب المنطقة - بحث متقدم";
	if (count($fieldToolTipsstatistics_region["Arabic"]))
		$tdatastatistics_region[".isUseToolTips"] = true;
}


	$tdatastatistics_region[".NCSearch"] = true;



$tdatastatistics_region[".shortTableName"] = "statistics_region";
$tdatastatistics_region[".nSecOptions"] = 0;

$tdatastatistics_region[".mainTableOwnerID"] = "";
$tdatastatistics_region[".entityType"] = 0;
$tdatastatistics_region[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_region[".strOriginalTableName"] = "statistics_region";

	



$tdatastatistics_region[".showAddInPopup"] = false;

$tdatastatistics_region[".showEditInPopup"] = false;

$tdatastatistics_region[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_region[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_region[".listAjax"] = false;
//	temporary
$tdatastatistics_region[".listAjax"] = false;

	$tdatastatistics_region[".audit"] = false;

	$tdatastatistics_region[".locking"] = false;


$pages = $tdatastatistics_region[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_region[".edit"] = true;
	$tdatastatistics_region[".afterEditAction"] = 1;
	$tdatastatistics_region[".closePopupAfterEdit"] = 1;
	$tdatastatistics_region[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_region[".add"] = true;
$tdatastatistics_region[".afterAddAction"] = 1;
$tdatastatistics_region[".closePopupAfterAdd"] = 1;
$tdatastatistics_region[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_region[".list"] = true;
}



$tdatastatistics_region[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_region[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_region[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_region[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_region[".printFriendly"] = true;
}



$tdatastatistics_region[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_region[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_region[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_region[".isUseAjaxSuggest"] = true;

$tdatastatistics_region[".rowHighlite"] = true;





$tdatastatistics_region[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_region[".buttonsAdded"] = false;

$tdatastatistics_region[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_region[".isUseTimeForSearch"] = false;


$tdatastatistics_region[".badgeColor"] = "4169E1";


$tdatastatistics_region[".allSearchFields"] = array();
$tdatastatistics_region[".filterFields"] = array();
$tdatastatistics_region[".requiredSearchFields"] = array();




$tdatastatistics_region[".tableType"] = "list";

$tdatastatistics_region[".printerPageOrientation"] = 0;
$tdatastatistics_region[".nPrinterPageScale"] = 100;

$tdatastatistics_region[".nPrinterSplitRecords"] = 40;

$tdatastatistics_region[".geocodingEnabled"] = false;










$tdatastatistics_region[".pageSize"] = 20;

$tdatastatistics_region[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_region[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_region[".orderindexes"] = array();


$tdatastatistics_region[".sqlHead"] = "SELECT name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdatastatistics_region[".sqlFrom"] = "FROM statistics_region";
$tdatastatistics_region[".sqlWhereExpr"] = "";
$tdatastatistics_region[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_region[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_region[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_region[".highlightSearchResults"] = true;

$tableKeysstatistics_region = array();
$tdatastatistics_region[".Keys"] = $tableKeysstatistics_region;


$tdatastatistics_region[".hideMobileList"] = array();




//	name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "name";
	$fdata["GoodName"] = "name";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["name"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "name";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["CountOfnumPers"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["total"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["percentage"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["ma3"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["dod"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["tachkil"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("statistics_region","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_region["majhoul"] = $fdata;
		$tdatastatistics_region[".searchableFields"][] = "majhoul";


$tables_data["statistics_region"]=&$tdatastatistics_region;
$field_labels["statistics_region"] = &$fieldLabelsstatistics_region;
$fieldToolTips["statistics_region"] = &$fieldToolTipsstatistics_region;
$placeHolders["statistics_region"] = &$placeHoldersstatistics_region;
$page_titles["statistics_region"] = &$pageTitlesstatistics_region;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_region"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_region"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_region()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_region";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "name",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto6["m_sql"] = "name";
$proto6["m_srcTableName"] = "statistics_region";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto8["m_sql"] = "CountOfnumPers";
$proto8["m_srcTableName"] = "statistics_region";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto10["m_sql"] = "total";
$proto10["m_srcTableName"] = "statistics_region";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto12["m_sql"] = "percentage";
$proto12["m_srcTableName"] = "statistics_region";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto14["m_sql"] = "ma3";
$proto14["m_srcTableName"] = "statistics_region";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto16["m_sql"] = "dod";
$proto16["m_srcTableName"] = "statistics_region";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto18["m_sql"] = "tachkil";
$proto18["m_srcTableName"] = "statistics_region";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "statistics_region"
));

$proto20["m_sql"] = "majhoul";
$proto20["m_srcTableName"] = "statistics_region";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "statistics_region";
$proto23["m_srcTableName"] = "statistics_region";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "name";
$proto23["m_columns"][] = "CountOfnumPers";
$proto23["m_columns"][] = "total";
$proto23["m_columns"][] = "percentage";
$proto23["m_columns"][] = "ma3";
$proto23["m_columns"][] = "dod";
$proto23["m_columns"][] = "tachkil";
$proto23["m_columns"][] = "majhoul";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "statistics_region";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "statistics_region";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_region";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_region = createSqlQuery_statistics_region();


	
		;

								

$tdatastatistics_region[".sqlquery"] = $queryData_statistics_region;



$tableEvents["statistics_region"] = new eventsBase;
$tdatastatistics_region[".hasEvents"] = false;

?>